/*
 * mime.h
 *
 * Copyright (c) 1997, John Kilburg <john@cs.unlv.edu>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef __MIME_H__
#define __MIME_H__ 1

typedef struct
{
  char *name;
  char *value;
} MIMEField;

typedef struct MIMEContextP *MIMEContext;

MIMEContext MIMECreateContext _ArgProto((void));
void MIMEAddData _ArgProto((MIMEContext, byte *, size_t));
void MIMEEndData _ArgProto((MIMEContext, byte *, size_t));
void MIMEDestroyContext _ArgProto((MIMEContext));
int MIMEGetDataOffset _ArgProto((MIMEContext, size_t *));
char *MIMEGetField _ArgProto((MIMEContext, char *));
void MIMEAddField _ArgProto((MIMEContext, char *, char *));
void MIMEAddListField _ArgProto((MemPool, GList, char *, char *));
GList MIMEGetFieldList _ArgProto((MIMEContext));
char *MIMEGetListField _ArgProto((GList, char *));
int MIMEGetHTTPStatus _ArgProto((MIMEContext));

#endif

